/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package java.net;

/**
 * Signals that either a connection attempt to a socket of the wrong type, the
 * application of an unsupported operation or that a general error in the
 * underlying protocol has occurred.
 * 
 * @since Android 1.0
 */
public class ProtocolException extends java.io.IOException {

    private static final long serialVersionUID = -6098449442062388080L;

    /**
     * Constructs a new instance of this class with its walkback filled in.
     * 
     * @since Android 1.0
     */
    public ProtocolException() {
        super();
    }

    /**
     * Constructs a new instance of this class with its walkback and message
     * filled in.
     * 
     * @param detailMessage
     *            the detail message for this exception.
     * @since Android 1.0
     */
    public ProtocolException(String detailMessage) {
        super(detailMessage);
    }
}
