/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package java.security.cert;

/**
 * The interface for results generated by
 * {@link CertPathBuilder#build(CertPathParameters)}.
 * 
 * @since Android 1.0
 */
public interface CertPathBuilderResult extends Cloneable {

    /**
     * Clones this {@code CertPathBuilderResult} instance.
     * 
     * @return the copy of this instance.
     * @since Android 1.0
     */
    public Object clone();

    /**
     * Returns the built {@code CertPath} instance. Never returns {@code null}.
     * 
     * @return the built certificate path instance.
     * @since Android 1.0
     */
    public CertPath getCertPath();
}